POST api/sticker/getAll
Request Information
URI Parameters
None.
Body Parameters
SearchParamsViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
None. |
|
| firstElementIndex | integer |
None. |
|
| id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
None. |
|
| keywords | string |
None. |
|
| numberOfElements | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"firstElementIndex": 1,
"id": "673c7a2f-e8da-44ac-a18d-3754dd0cfc9d",
"site_id": "b464208c-8791-4128-95a4-be52cae0a2c3",
"keywords": "sample string 1",
"numberOfElements": 1
}
application/xml, text/xml
Sample:
<searchParamsViewModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <firstElementIndex>1</firstElementIndex> <id>673c7a2f-e8da-44ac-a18d-3754dd0cfc9d</id> <keywords>sample string 1</keywords> <numberOfElements>1</numberOfElements> <site_id>b464208c-8791-4128-95a4-be52cae0a2c3</site_id> </searchParamsViewModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
PaginationResultViewModelOfListOfStickerViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| data | Collection of StickerViewModel |
None. |
|
| totalRecord | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"data": [
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"type": {
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"code": "sample string 1",
"id": "32e859a9-5ae9-46e4-8584-c1a5c8dfa46e",
"technicalDescription": "sample string 3",
"active": true
},
"relations": [
{
"active": true,
"contract_ID": "f0ee2cf5-0337-4c5e-8f56-3d1dea0bfce0",
"contractItem_ID": "648ff200-c93d-43e0-94e9-95f313bebd5e",
"departement_ID": "6160eca6-01f7-4af8-8436-3336e388f175",
"departmentItem_ID": "7b9bc57a-fec5-4667-bf55-15c21fec6ca8",
"iD": "5c4afb5a-e0d5-4f8f-b8a0-a9a34ce75ff3",
"site_ID": "9561f6e7-ca48-4452-82e0-e6471deeb95c",
"siteCustomer_ID": "7c49f18b-09bd-45ed-8b75-837023983d07",
"sticker_ID": "5443d874-c701-4d2a-a88e-3dbf3d121dc3",
"garment_ID": "7dbc76a6-37c8-495e-8a6e-0dd91fc95cb6"
},
{
"active": true,
"contract_ID": "f0ee2cf5-0337-4c5e-8f56-3d1dea0bfce0",
"contractItem_ID": "648ff200-c93d-43e0-94e9-95f313bebd5e",
"departement_ID": "6160eca6-01f7-4af8-8436-3336e388f175",
"departmentItem_ID": "7b9bc57a-fec5-4667-bf55-15c21fec6ca8",
"iD": "5c4afb5a-e0d5-4f8f-b8a0-a9a34ce75ff3",
"site_ID": "9561f6e7-ca48-4452-82e0-e6471deeb95c",
"siteCustomer_ID": "7c49f18b-09bd-45ed-8b75-837023983d07",
"sticker_ID": "5443d874-c701-4d2a-a88e-3dbf3d121dc3",
"garment_ID": "7dbc76a6-37c8-495e-8a6e-0dd91fc95cb6"
}
],
"details": [
{
"stickerField": {
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "66de26f4-daf0-438d-a598-12ad53eee3c2",
"isProductionSite": true,
"isStatic": true,
"separator": "sample string 6",
"stickerType_ID": "2b77dfa9-0e57-4978-81de-23b345bfd074",
"technicalDescription": "sample string 8"
},
"active": true,
"backgroundColor": "sample string 2",
"bold": true,
"fontSize": 4,
"foregroundColor": "sample string 5",
"id": "d72c005f-1ba5-4a12-848a-04e9530b2d69",
"italic": true,
"staticValue": "sample string 8",
"sticker_ID": "4fb6f081-dd5a-406e-9581-b3d454ec0ee0",
"stickerField_ID": "b7963c4d-4a33-4d74-852a-fecbf2372e97",
"stringLength": 1,
"stringStart": 1,
"zoneNumber": 11
},
{
"stickerField": {
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "66de26f4-daf0-438d-a598-12ad53eee3c2",
"isProductionSite": true,
"isStatic": true,
"separator": "sample string 6",
"stickerType_ID": "2b77dfa9-0e57-4978-81de-23b345bfd074",
"technicalDescription": "sample string 8"
},
"active": true,
"backgroundColor": "sample string 2",
"bold": true,
"fontSize": 4,
"foregroundColor": "sample string 5",
"id": "d72c005f-1ba5-4a12-848a-04e9530b2d69",
"italic": true,
"staticValue": "sample string 8",
"sticker_ID": "4fb6f081-dd5a-406e-9581-b3d454ec0ee0",
"stickerField_ID": "b7963c4d-4a33-4d74-852a-fecbf2372e97",
"stringLength": 1,
"stringStart": 1,
"zoneNumber": 11
}
],
"active": true,
"code": "sample string 2",
"id": "2aafe7f7-1c50-400e-b493-caec309dbcd3",
"stickerType_ID": "160ed49c-777c-484d-98b2-f7c9833bba7c",
"stickerRelation_IDs": [
"b30ccc91-d1a3-467a-8891-46d953c1893f",
"2fbd22c8-465d-4e60-a7fd-5674e376f96e"
],
"site_ID": "84201270-d4b6-4009-8e32-e686f441a5c1"
},
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"type": {
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"code": "sample string 1",
"id": "32e859a9-5ae9-46e4-8584-c1a5c8dfa46e",
"technicalDescription": "sample string 3",
"active": true
},
"relations": [
{
"active": true,
"contract_ID": "f0ee2cf5-0337-4c5e-8f56-3d1dea0bfce0",
"contractItem_ID": "648ff200-c93d-43e0-94e9-95f313bebd5e",
"departement_ID": "6160eca6-01f7-4af8-8436-3336e388f175",
"departmentItem_ID": "7b9bc57a-fec5-4667-bf55-15c21fec6ca8",
"iD": "5c4afb5a-e0d5-4f8f-b8a0-a9a34ce75ff3",
"site_ID": "9561f6e7-ca48-4452-82e0-e6471deeb95c",
"siteCustomer_ID": "7c49f18b-09bd-45ed-8b75-837023983d07",
"sticker_ID": "5443d874-c701-4d2a-a88e-3dbf3d121dc3",
"garment_ID": "7dbc76a6-37c8-495e-8a6e-0dd91fc95cb6"
},
{
"active": true,
"contract_ID": "f0ee2cf5-0337-4c5e-8f56-3d1dea0bfce0",
"contractItem_ID": "648ff200-c93d-43e0-94e9-95f313bebd5e",
"departement_ID": "6160eca6-01f7-4af8-8436-3336e388f175",
"departmentItem_ID": "7b9bc57a-fec5-4667-bf55-15c21fec6ca8",
"iD": "5c4afb5a-e0d5-4f8f-b8a0-a9a34ce75ff3",
"site_ID": "9561f6e7-ca48-4452-82e0-e6471deeb95c",
"siteCustomer_ID": "7c49f18b-09bd-45ed-8b75-837023983d07",
"sticker_ID": "5443d874-c701-4d2a-a88e-3dbf3d121dc3",
"garment_ID": "7dbc76a6-37c8-495e-8a6e-0dd91fc95cb6"
}
],
"details": [
{
"stickerField": {
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "66de26f4-daf0-438d-a598-12ad53eee3c2",
"isProductionSite": true,
"isStatic": true,
"separator": "sample string 6",
"stickerType_ID": "2b77dfa9-0e57-4978-81de-23b345bfd074",
"technicalDescription": "sample string 8"
},
"active": true,
"backgroundColor": "sample string 2",
"bold": true,
"fontSize": 4,
"foregroundColor": "sample string 5",
"id": "d72c005f-1ba5-4a12-848a-04e9530b2d69",
"italic": true,
"staticValue": "sample string 8",
"sticker_ID": "4fb6f081-dd5a-406e-9581-b3d454ec0ee0",
"stickerField_ID": "b7963c4d-4a33-4d74-852a-fecbf2372e97",
"stringLength": 1,
"stringStart": 1,
"zoneNumber": 11
},
{
"stickerField": {
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "66de26f4-daf0-438d-a598-12ad53eee3c2",
"isProductionSite": true,
"isStatic": true,
"separator": "sample string 6",
"stickerType_ID": "2b77dfa9-0e57-4978-81de-23b345bfd074",
"technicalDescription": "sample string 8"
},
"active": true,
"backgroundColor": "sample string 2",
"bold": true,
"fontSize": 4,
"foregroundColor": "sample string 5",
"id": "d72c005f-1ba5-4a12-848a-04e9530b2d69",
"italic": true,
"staticValue": "sample string 8",
"sticker_ID": "4fb6f081-dd5a-406e-9581-b3d454ec0ee0",
"stickerField_ID": "b7963c4d-4a33-4d74-852a-fecbf2372e97",
"stringLength": 1,
"stringStart": 1,
"zoneNumber": 11
}
],
"active": true,
"code": "sample string 2",
"id": "2aafe7f7-1c50-400e-b493-caec309dbcd3",
"stickerType_ID": "160ed49c-777c-484d-98b2-f7c9833bba7c",
"stickerRelation_IDs": [
"b30ccc91-d1a3-467a-8891-46d953c1893f",
"2fbd22c8-465d-4e60-a7fd-5674e376f96e"
],
"site_ID": "84201270-d4b6-4009-8e32-e686f441a5c1"
}
],
"totalRecord": 1
}
application/xml
Sample:
Sample not available.
text/xml
Sample:
Sample not available.